## com.deepin.gomoku 1.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(deepin-gomoku)

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")
# Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,--gc-sections")
endif()

macro(SUBDIRLIST result curdir)
    file(GLOB children RELATIVE ${curdir} ${curdir}/*)
    set(dirlist "")
    foreach(child ${children})
        if(IS_DIRECTORY ${curdir}/${child})
            LIST(APPEND dirlist ${child})
        endif()
    endforeach()
    set(${result} ${dirlist})
endmacro()

ADD_SUBDIRECTORY(gomoku)
ADD_SUBDIRECTORY(tests)

find_package(Qt5LinguistTools REQUIRED)
#lupdate start
#此处其实只有当没有自动翻译需要手动翻译.ts文件才有意义可以创建不同语言名称的ts文件，下同
set(TS_FILES
    "${CMAKE_CURRENT_SOURCE_DIR}/translations/deepin-gomoku.ts"
)
find_program(LUPDATE_EXECUTABLE lupdate)
foreach(_ts_file ${TS_FILES})
    execute_process(
        COMMAND ${LUPDATE_EXECUTABLE} -recursive ${CMAKE_CURRENT_SOURCE_DIR} -ts ${_ts_file})
endforeach()
#lupdate end

file (GLOB DTNG_TS_FILES translations/*.ts)

#lrelease start
#发布qm文件
find_program(LRELEASE_EXECUTABLE lrelease)
foreach(_ts_file ${DTNG_TS_FILES})
        execute_process(COMMAND ${LRELEASE_EXECUTABLE}   ${_ts_file})
endforeach()
#lrelease end

qt5_create_translation(DTNG_QM_FILES
    ${DTNG_TS_FILES}
     ${DTNG_QM_FILES}
     )
     
 set(CMAKE_INSTALL_PREFIX /usr)
 file(GLOB APP_QM_FILES "translations/*.qm")
 install(FILES ${APP_QM_FILES} DESTINATION share/deepin-gomoku/translations)

=== gomoku/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
     message(WARNING "Not defined version ,about dialog version set 1.2.2")
    set(VERSION 1.2.2)
endif ()

#common resource names
set(APP_RES_DIR "assets")
set(APP_BIN_NAME "deepin-gomoku")
set(APP_DESKTOP "${APP_RES_DIR}/deepin-gomoku.desktop")
set(APP_QRC "${APP_RES_DIR}/resources.qrc")

project(${APP_BIN_NAME})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-Wl,--as-needed -fPIE")
set(CMAKE_EXE_LINKER_FLAGS "-pie")

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")

  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
endif()

#angr安全加固
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -z relro -z now -z noexecstack -pie")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -z relro -z now -z noexecstack -pie")

#配置版本号
configure_file(${APP_RES_DIR}/environments.h.in environments.h @ONLY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/src)

#Include all app own subdirectorys
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
endforeach()

file(GLOB_RECURSE Gomoku_SRC ${CMAKE_CURRENT_LIST_DIR}/*.cpp)

find_package(PkgConfig REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5 COMPONENTS Multimedia REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)

include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})

#添加源文件以及资源文件
ADD_EXECUTABLE(${PROJECT_NAME} ${Gomoku_SRC} ${APP_QRC})
#添加头文件
target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
#添加链接库
target_link_libraries(${PROJECT_NAME}
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGui_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}
    Qt5::Multimedia
)

set(CMAKE_INSTALL_PREFIX /usr)

# Install files
#install(TARGETS deepin-gomoku DESTINATION bin)

#install(DIRECTORY ${APP_RES_DIR}/deepin-gomoku
#        DESTINATION /usr/share/deepin-manual/manual-assets/application/)
#install(FILES ${APP_DESKTOP} DESTINATION share/applications)

install(FILES ${APP_DESKTOP} DESTINATION share/applications)
install(FILES assets/deepin-gomoku.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
install(FILES assets/resources/desktop/com.deepin.gomoku.svg
            DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)
install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(DIRECTORY assets/deepin-gomoku DESTINATION /usr/share/deepin-manual/manual-assets/application/)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9.5)

if (NOT DEFINED VERSION)
    set(VERSION 1.0.0)
endif ()
configure_file(../gomoku/assets/environments.h.in environments.h @ONLY)
#可访问private
ADD_COMPILE_OPTIONS(-fno-access-control)
ADD_COMPILE_OPTIONS(-fno-inline)
set(APP_SRC_DIR "${CMAKE_SOURCE_DIR}/gomoku")
set(APP_BIN_NAME "deepin-gomoku-test")
set(PROJECT_NAME_TEST ${APP_BIN_NAME})
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
#set(CMAKE_CXX_FLAGS "-g -Wall")
#编译生成覆盖环境
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")
#添加-fno-inline编译选项，禁止内联，能获取到函数地址，可以对内联函数进行打桩
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-inline")
if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif ()

set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")
if(CMAKE_SAFETYTEST STREQUAL "")
    set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
endif()
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")
if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
  #安全测试选项
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
endif()

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(Qt5Multimedia REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5DBus REQUIRED)
add_definitions(${Qt5Test_DEFINITIONS})

include_directories(${APP_SRC_DIR}/src)

SUBDIRLIST(all_src ${APP_SRC_DIR}/src)

#Include all app own subdirectorys
foreach(subdir ${all_src})
    include_directories(${APP_SRC_DIR}/src/${subdir})
endforeach()
file(GLOB_RECURSE Gomoku_SRC ${APP_SRC_DIR}/src/*.cpp)
list(REMOVE_ITEM Gomoku_SRC ${APP_SRC_DIR}/src/main.cpp)
FILE(GLOB qrcFiles
    ../src/resources.qrc
)


# 5. 头文件
# 5.1. 定义函数，用于递归添加头文件
function(include_sub_directories_recursively root_dir)
    if (IS_DIRECTORY ${root_dir})               # 当前路径是一个目录吗，是的话就加入到包含目录
        #message("include dir: " ${root_dir})
        include_directories(${root_dir})
    endif()

    file(GLOB ALL_SUB RELATIVE ${root_dir} ${root_dir}/*) # 获得当前目录下的所有文件，让如ALL_SUB列表中
    foreach(sub ${ALL_SUB})
        if (IS_DIRECTORY ${root_dir}/${sub})
            include_sub_directories_recursively(${root_dir}/${sub}) # 对子目录递归调用，包含
        endif()
    endforeach()
endfunction()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_sub_directories_recursively("${CMAKE_CURRENT_SOURCE_DIR}/../gomoku/src")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/src)
#Include all app own subdirectorys
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
endforeach()

include_directories(${DtkWidget_INCLUDE_DIRS})
include_directories(${DtkCore_INCLUDE_DIRS})
include_directories(${DtkGui_INCLUDE_DIRS})
include_directories(${Qt5TestLib_LIBRARIES}
    ${PROJECT_NAME_TEST}
    ${Qt5DBus_LIVRARIES}
)

#angr安全加固
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -z relro -z now -z noexecstack -pie")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -z relro -z now -z noexecstack -pie")

find_package(GTest REQUIRED)
include_directories(${GTEST_INCLUDE_DIRS})

file(GLOB_RECURSE Gomoku_TEST_SRC ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp)
include_directories(src)


add_executable(${PROJECT_NAME_TEST} ${Gomoku_SRC} ${qrcFiles} ${Gomoku_TEST_SRC} ${APP_QM_FILES})
target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
target_link_libraries(${PROJECT_NAME_TEST}
    ${Qt5DBus_LIVRARIES}
    ${LINK_LIBS}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
    Qt5::Core
    Qt5::Widgets
    Qt5::Gui
    Qt5::Multimedia
    Qt5::Test
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGui_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${DFrameworkdbus_LIBRARIES}
    Qt5::Multimedia
    pthread -ldl -fPIC
)

=== debian/changelog ===
com.deepin.gomoku (1.0.8-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Jan 2022 16:36:06 +0800

com.deepin.gomoku (1.0) unstable; urgency=medium

  * Initial release the first version

 -- zhengxiaokang <zhengxiaokang@uniontech.com> Tue, 17 Aug 2021 11:46:48 +0800

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DH_AUTO_ARGS = --parallel --buildsystem=cmake

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## com.deepin.gomoku 1.0.10

=== gomoku/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,12 @@
 set(APP_QRC "${APP_RES_DIR}/resources.qrc")
 
 project(${APP_BIN_NAME})
+
+#添加ci编译参数
+if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+endif()
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)

=== debian/changelog ===
com.deepin.gomoku (1.0.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 10:06:12 +0800

=== debian/control ===
Source: com.deepin.gomoku
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11),cmake, pkg-config, qtbase5-dev, qtchooser (>= 55-gc9562a1-1~),qt5-qmake, libdtkwidget-dev, qttools5-dev-tools, libqt5svg5-dev, qttools5-dev,libgtest-dev, libgmock-dev, qtmultimedia5-dev
Standards-Version: 4.3.0

Package: com.deepin.gomoku
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Gomoku is a small chess game for two players.
 Gomoku is an easy and funny chess game that is suitable for all ages.

## com.deepin.gomoku 1.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,10 @@
 endmacro()
 
 ADD_SUBDIRECTORY(gomoku)
+
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
 ADD_SUBDIRECTORY(tests)
+endif()
 
 find_package(Qt5LinguistTools REQUIRED)
 #lupdate start
@@ -56,7 +59,13 @@
     ${DTNG_TS_FILES}
      ${DTNG_QM_FILES}
      )
-     
- set(CMAKE_INSTALL_PREFIX /usr)
+
+ #根据环境修改/usr 目录
+ if(DEFINED ENV{PREFIX})
+    set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
+ else()
+    set(CMAKE_INSTALL_PREFIX /usr)
+ endif()
+
  file(GLOB APP_QM_FILES "translations/*.qm")
  install(FILES ${APP_QM_FILES} DESTINATION share/deepin-gomoku/translations)

=== gomoku/CMakeLists.txt ===
--- 
+++ 
@@ -89,7 +89,12 @@
     Qt5::Multimedia
 )
 
-set(CMAKE_INSTALL_PREFIX /usr)
+#根据环境修改/usr 目录
+if(DEFINED ENV{PREFIX})
+   set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
+else()
+   set(CMAKE_INSTALL_PREFIX /usr)
+endif()
 
 # Install files
 #install(TARGETS deepin-gomoku DESTINATION bin)
@@ -99,8 +104,8 @@
 #install(FILES ${APP_DESKTOP} DESTINATION share/applications)
 
 install(FILES ${APP_DESKTOP} DESTINATION share/applications)
-install(FILES assets/deepin-gomoku.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
+install(FILES assets/deepin-gomoku.desktop DESTINATION share/applications)
 install(FILES assets/resources/desktop/com.deepin.gomoku.svg
             DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps/)
-install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
-install(DIRECTORY assets/deepin-gomoku DESTINATION /usr/share/deepin-manual/manual-assets/application/)
+install(TARGETS ${PROJECT_NAME} DESTINATION bin)
+install(DIRECTORY assets/deepin-gomoku DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/application/)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 cmake_minimum_required(VERSION 3.9.5)
 
 if (NOT DEFINED VERSION)

=== debian/changelog ===
com.deepin.gomoku (1.0.11) unstable; urgency=medium

  * New version 1.0.11

 -- fengli <fengli@uniontech.com> Thu, 5 Jan 2023 13:49:52 +0800

com.deepin.gomoku (1.0.9) unstable; urgency=medium

  * Initial release the first version

 -- zhengxiaokang <zhengxiaokang@uniontech.com> Tue, 17 Aug 2021 11:46:48 +0800

## com.deepin.gomoku 6.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,6 @@
 ADD_SUBDIRECTORY(tests)
 endif()
 
-find_package(Qt5LinguistTools REQUIRED)
 #lupdate start
 #此处其实只有当没有自动翻译需要手动翻译.ts文件才有意义可以创建不同语言名称的ts文件，下同
 set(TS_FILES
@@ -49,16 +48,14 @@
 
 #lrelease start
 #发布qm文件
-find_program(LRELEASE_EXECUTABLE lrelease)
+find_program(LRELEASE_EXECUTABLE lrelease PATHS "/usr/lib/qt6/bin" "/usr/lib/qt5/bin" NO_DEFAULT_PATH)
+if(NOT LRELEASE_EXECUTABLE)
+    find_program(LRELEASE_EXECUTABLE lrelease)
+endif()
 foreach(_ts_file ${DTNG_TS_FILES})
-        execute_process(COMMAND ${LRELEASE_EXECUTABLE}   ${_ts_file})
+        execute_process(COMMAND ${LRELEASE_EXECUTABLE} ${_ts_file})
 endforeach()
 #lrelease end
-
-qt5_create_translation(DTNG_QM_FILES
-    ${DTNG_TS_FILES}
-     ${DTNG_QM_FILES}
-     )
 
  #根据环境修改/usr 目录
  if(DEFINED ENV{PREFIX})

=== debian/changelog ===
com.deepin.gomoku (6.0.2) unstable; urgency=medium

  * New version 6.0.2

 -- Wang Yu <wangyu@uniontch.com>  Sat, 08 Feb 2025 13:58:49 +0800

com.deepin.gomoku (6.0.1) unstable; urgency=medium

  * New version 6.0.1

 -- xiepengfei <xiepengfei@uniontech.com> Mon, 20 Jan 2025 11:50:03 +0800

## com.deepin.gomoku 6.0.4

=== debian/changelog ===
com.deepin.gomoku (6.0.4) unstable; urgency=medium

  * chore: New version 6.0.4.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 17:44:36 +0800

com.deepin.gomoku (6.0.3) unstable; urgency=medium

  * chore: New version 6.0.3.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:02:51 +0800

## com.deepin.gomoku 6.0.5

=== gomoku/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
 set(CMAKE_AUTORCC ON)
 set(CMAKE_CXX_FLAGS "-Wl,--as-needed -fPIE")
 set(CMAKE_EXE_LINKER_FLAGS "-pie")
+set(QT_VERSION_MAJOR 6)
 
 #compile flags
 if (CMAKE_BUILD_TYPE MATCHES Debug)
@@ -59,17 +60,21 @@
     include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
 endforeach()
 
+if (${QT_VERSION_MAJOR} GREATER_EQUAL 6)
+    set(DTK_VERSION 6)
+endif()
+
 file(GLOB_RECURSE Gomoku_SRC ${CMAKE_CURRENT_LIST_DIR}/*.cpp)
 
 find_package(PkgConfig REQUIRED)
-find_package(DtkCore REQUIRED)
-find_package(Qt5Gui REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5Svg REQUIRED)
-find_package(Qt5DBus REQUIRED)
-find_package(Qt5 COMPONENTS Multimedia REQUIRED)
-find_package(DtkWidget REQUIRED)
-find_package(DtkGui REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}Gui REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}Widgets REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}Svg REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}DBus REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Multimedia REQUIRED)
+find_package(Dtk${DTK_VERSION}Core REQUIRED)
+find_package(Dtk${DTK_VERSION}Widget REQUIRED)
+find_package(Dtk${DTK_VERSION}Gui REQUIRED)
 
 include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
 
@@ -79,14 +84,14 @@
 target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
 #添加链接库
 target_link_libraries(${PROJECT_NAME}
-    ${DtkWidget_LIBRARIES}
-    ${DtkCore_LIBRARIES}
-    ${DtkGui_LIBRARIES}
-    ${Qt5Widgets_LIBRARIES}
-    ${Qt5Svg_LIBRARIES}
-    ${Qt5DBus_LIBRARIES}
+    Dtk${DTK_VERSION}::Core
+    Dtk${DTK_VERSION}::Gui
+    Dtk${DTK_VERSION}::Widget
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Svg
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Multimedia
     ${DFrameworkdbus_LIBRARIES}
-    Qt5::Multimedia
 )
 
 #根据环境修改/usr 目录

=== debian/changelog ===
com.deepin.gomoku (6.0.5) unstable; urgency=medium

  * chore: New version 6.0.5. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Tue, 01 Jul 2025 19:45:39 +0800

=== debian/control ===
Source: com.deepin.gomoku
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11),cmake, pkg-config, qt6-base-dev, qtchooser (>= 55-gc9562a1-1~),qmake6, libdtk6widget-dev, qt6-tools-dev-tools, qt6-svg-dev, qt6-tools-dev,libgtest-dev, libgmock-dev, qt6-multimedia-dev
Standards-Version: 4.3.0

Package: com.deepin.gomoku
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Gomoku is a small chess game for two players.
 Gomoku is an easy and funny chess game that is suitable for all ages.

## com.deepin.gomoku 6.0.7

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 set(CMAKE_C_STANDARD_REQUIRED ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
+set(QT_VERSION_MAJOR 6)
 #set(CMAKE_CXX_FLAGS "-g -Wall")
 #编译生成覆盖环境
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")
@@ -40,20 +41,25 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
 endif()
 
+if (${QT_VERSION_MAJOR} GREATER_EQUAL 6)
+    set(DTK_VERSION 6)
+endif()
+
 # Find the library
 find_package(PkgConfig REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5Gui REQUIRED)
-find_package(Qt5Core REQUIRED)
-find_package(DtkWidget REQUIRED)
-find_package(DtkGui REQUIRED)
-find_package(DtkCore REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
-find_package(Qt5Test REQUIRED)
-find_package(Qt5Multimedia REQUIRED)
-find_package(Qt5Svg REQUIRED)
-find_package(Qt5DBus REQUIRED)
-add_definitions(${Qt5Test_DEFINITIONS})
+find_package(Qt${QT_VERSION_MAJOR}Gui REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}Widgets REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}Svg REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}DBus REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}Test REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Multimedia REQUIRED)
+find_package(Dtk${DTK_VERSION}Core REQUIRED)
+find_package(Dtk${DTK_VERSION}Widget REQUIRED)
+find_package(Dtk${DTK_VERSION}Gui REQUIRED)
+# find_package(Qt5LinguistTools REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}Svg REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}DBus REQUIRED)
+add_definitions(${Qt${QT_VERSION_MAJOR}Test_DEFINITIONS})
 
 include_directories(${APP_SRC_DIR}/src)
 
@@ -96,12 +102,12 @@
     include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/${subdir})
 endforeach()
 
-include_directories(${DtkWidget_INCLUDE_DIRS})
-include_directories(${DtkCore_INCLUDE_DIRS})
-include_directories(${DtkGui_INCLUDE_DIRS})
-include_directories(${Qt5TestLib_LIBRARIES}
+include_directories(${Dtk${DTK_VERSION}Widget_INCLUDE_DIRS})
+include_directories(${Dtk${DTK_VERSION}Core_INCLUDE_DIRS})
+include_directories(${Dtk${DTK_VERSION}Gui_INCLUDE_DIRS})
+include_directories(${Qt${QT_VERSION_MAJOR}TestLib_LIBRARIES}
     ${PROJECT_NAME_TEST}
-    ${Qt5DBus_LIVRARIES}
+    ${Qt${QT_VERSION_MAJOR}DBus_LIVRARIES}
 )
 
 #angr安全加固
@@ -120,23 +126,22 @@
 add_executable(${PROJECT_NAME_TEST} ${Gomoku_SRC} ${qrcFiles} ${Gomoku_TEST_SRC} ${APP_QM_FILES})
 target_include_directories(${PROJECT_NAME} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
 target_link_libraries(${PROJECT_NAME_TEST}
-    ${Qt5DBus_LIVRARIES}
+    ${Qt${QT_VERSION_MAJOR}DBus_LIVRARIES}
     ${LINK_LIBS}
     ${GTEST_LIBRARIES}
     ${GTEST_MAIN_LIBRARIES}
-    Qt5::Core
-    Qt5::Widgets
-    Qt5::Gui
-    Qt5::Multimedia
-    Qt5::Test
-    ${DtkWidget_LIBRARIES}
-    ${DtkCore_LIBRARIES}
-    ${DtkGui_LIBRARIES}
-    ${Qt5Widgets_LIBRARIES}
-    ${Qt5Svg_LIBRARIES}
-    ${Qt5DBus_LIBRARIES}
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Gui
+    Qt${QT_VERSION_MAJOR}::Test
     ${DFrameworkdbus_LIBRARIES}
-    Qt5::Multimedia
+    Dtk${DTK_VERSION}::Core
+    Dtk${DTK_VERSION}::Gui
+    Dtk${DTK_VERSION}::Widget
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Svg
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Multimedia
     pthread -ldl -fPIC
 )

=== debian/changelog ===
com.deepin.gomoku (6.0.7) unstable; urgency=medium

  * feat: Update translations for Lao locale (#35)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 16:19:46 +0800

com.deepin.gomoku (6.0.6) unstable; urgency=medium

  *chore: New version 6.0.6. 

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 16:00:53 +0800

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export QT_SELECT=5
+export QT_SELECT=6
 include /usr/share/dpkg/default.mk
 
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
